@echo off
echo Samba Server for eCS (OS/2) group init script
echo.
echo This script will ERASE your kLIBC group file and DESTROY you Samba 
echo group mappings and will recreate a default setup from scratch.
echo.
echo Location of klibc groupfile:     "%UNIXROOT%\etc\group"
echo Location of Samba group mapping: "%ETC%\samba\lock\group_mapping.tdb"
echo.
echo If you are unsure whether to continue, interrupt now! YOU HAVE BEEN WARNED.
echo Continuing will destroy your existing group setup!
pause
echo ... create %UNIXROOT%\etc\group (kLIBC group file)
echo # kLIBC group file >%UNIXROOT%\etc\group
echo admin:*:512:root,>>%UNIXROOT%\etc\group
echo users:*:513:>>%UNIXROOT%\etc\group
echo guests:*:514:guest,>>%UNIXROOT%\etc\group
echo machines:*:515:>>%UNIXROOT%\etc\group
echo dc:*:516:>>%UNIXROOT%\etc\group
echo Done.
echo ... Erase old group_mapping.tdb
del %ETC%\samba\lock\group_mapping.tdb
echo ... Required domain groups
net groupmap add rid=512 ntgroup="Domain Admins"                unixgroup="admin"      type=domain   comment="Domain administrators"
net groupmap add rid=513 ntgroup="Domain Users"                 unixgroup="users"      type=domain   comment="Domain users"
net groupmap add rid=514 ntgroup="Domain Guests"                unixgroup="guests"     type=domain   comment="Domain guests"
echo ... Optional domain groups
net groupmap add rid=515 ntgroup="Domain Computers"             unixgroup="machines"   type=domain   comment="Domain computers"
net groupmap add rid=516 ntgroup="Domain Controllers"           unixgroup="dc"         type=domain   comment="Domain controllers"
rem net groupmap add rid=517 ntgroup="Domain Certificate Admins"    unixgroup="" type=domain
rem net groupmap add rid=518 ntgroup="Domain Schema Admins"         unixgroup="" type=domain
rem net groupmap add rid=519 ntgroup="Domain Enterprise Admins"     unixgroup="" type=domain
rem net groupmap add rid=520 ntgroup="Domain Policy Admins"         unixgroup="" type=domain
echo ... Builtin groups
rem net groupmap add rid=544 ntgroup="Builtin Admins"               unixgroup="ntadmin"   type=builtin
rem net groupmap add rid=545 ntgroup="Builtin Users"                unixgroup="ntusers"   type=builtin
rem net groupmap add rid=546 ntgroup="Builtin Guests"               unixgroup="ntguests"  type=builtin
rem net groupmap add rid=547 ntgroup="Builtin Power Users"          unixgroup="" type=builtin 
rem net groupmap add rid=548 ntgroup="Builtin Account Operators"    unixgroup="" type=builtin 
rem net groupmap add rid=549 ntgroup="Builtin System Operators"     unixgroup="operator" type=builtin 
rem net groupmap add rid=550 ntgroup="Builtin Print Operators"      unixgroup="lp" type=builtin 
rem net groupmap add rid=551 ntgroup="Builtin Backup Operators"     unixgroup="backup" type=builtin 
rem net groupmap add rid=552 ntgroup="Builtin Replicator"           unixgroup="" type=builtin 
rem net groupmap add rid=553 ntgroup="Builtin RAS Servers"          unixgroup="" type=builtin 
echo ... net groupmap list
net groupmap list
